<p align="center"><img width=75% src="https://github.com/nics-tw/petsard/blob/main/.github/assets/PETsARD-logo.png"></p>

![Python 3.10](https://img.shields.io/badge/python-v3.10-blue.svg)
![Python 3.11](https://img.shields.io/badge/python-v3.11-blue.svg)
![Contributions welcome](https://img.shields.io/badge/contributions-welcome-orange.svg)

`PETsARD` (Privacy Enhancing Technologies Analysis, Research, and Development, /pəˈtɑrd/) is a Python library for facilitating data generation algorithm and their evaluation processes.

The main functionalities include dataset description, various dataset generation algorithms, and the measurements on privacy protection and utility.

`PETsARD`（隱私強化技術分析、研究與開發）是一套為了促進資料生成演算法及其評估過程而設計的 Python 程式庫。

其主要功能包括描述資料集、執行各種資料集生成算法，以及對隱私保護和效用進行測量。

# **📚 Documentation 文件**

## [**🏠 Main Site 主要網站: PETsARD**](https://nics-tw.github.io/petsard/)

- Project homepage with overview and foundation information
- 專案首頁，提供專案概觀與基礎資訊

## [**📖 Docs 文件**](https://nics-tw.github.io/petsard/docs/)

- The User Guide aims to assist developers in rapidly acquiring the necessary skills for utilising `PETsARD` in data synthesis, evaluating synthesized data, and enhancing the research efficiency in Privacy Enhancing Technologies-related fields.
- 使用者指南旨在幫助開發者迅速獲得必要的技能，以使用 `PETsARD` 進行資料合成、合成資料的評估，以及提升開發者隱私增強相關領域的研究效率。


  ### [**🚀 Get Started 入門指南**](https://nics-tw.github.io/petsard/docs/get-started/)
  - Quick installation guide and basic usage examples
  - Complete framework structure and configuration details
  - 快速安裝指引與基本使用範例
  - 完整框架結構與設定說明

  ### [**📝 Tutorial 教學**](https://nics-tw.github.io/petsard/docs/tutorial/)

  - Practical examples from basic to advanced usage
  - Guidance and Colab demo for common use cases
  - 從基礎到進階的實作範例
  - 提供常見使用情境的說明與 Colab 展示

    #### [**⚙️ YAML Configuration YAML 設定**](https://nics-tw.github.io/petsard/docs/tutorial/yaml-config)

    - Comprehensive configuration writing guide
    - Experiment workflow and parameter settings
    - 完整的設定檔撰寫指南
    - 實驗流程與參數設定詳解

  ### [**🔬 API Documentation API 文件**](https://nics-tw.github.io/petsard/docs/api/)

  - Detailed technical documentation for modules and components
  - Covers configuration, execution, pipeline components, and data management
  - 模組與元件的詳細技術文件
  - 涵蓋設定、執行、管線組件與資料管理

## [**ℹ️ About 關於**](https://nics-tw.github.io/petsard/about/)

- Project background and license information
- Academic citations and related literature
- 專案背景與授權資訊
- 學術引用與相關文獻