---
title: Developer Guide
type: docs
weight: 80
prev: docs/api
next: docs
sidebar:
  open: false
---


- [Development Guidelines](./development-guidelines)
  - Branch protection and merge guidelines
  - Issue and PR workflows
  - Package management and version control

## Data Loading
- [Benchmark Dataset Maintenance](./benchmark-datasets)
  - Maintaining and extending benchmark datasets

## Data Generating
- [Uniform Encoder](./uniform-encoder)
  - Converting categorical variables to continuous values

## Data Evaluating
- [Anonymeter Privacy Risk Assessment](./anonymeter)
  - European standards for privacy risk assessment
  - Three dimensions of privacy risk measurement

## Configuration and Reporting
- [Logging Configuration](./logging-configuration)
  - Setting log levels and output destinations
  - Customizing log formats and file locations
- [Experiment Names in Reporter](./experiment-naming-in-reporter)
  - Experiment naming conventions
  - Managing experiment configurations
- [Test Coverage](./test-coverage)
  - Test organization and structure
  - Detailed test case documentation